Mark todo as complete or incomplete

Marks a todo as complete or incomplete by setting or clearing the completion status.

Permission Requirements:

  • The authenticated user must be an employee or crew member.
  • Crew users can only complete/uncomplete incomplete todos where they are the assigned user or creator.

Completion Behavior:

  • When completed is set to true:
    • date_completed is set to the current timestamp
    • completed_by is set to the authenticated user
  • When completed is set to false or omitted:
    • date_completed is cleared (set to null)
    • completed_by is cleared (set to null)

Response Format:

The response includes full detail information with created_by and completed_by user objects.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The unique identifier of the todo to mark as complete or incomplete.

Body Params

Request body specifying the completion status.

boolean
Defaults to false

Set to true to mark the todo as complete, or false to mark it as incomplete. Defaults to false if omitted.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json